summaryrefslogtreecommitdiff
path: root/TRNS
diff options
context:
space:
mode:
Diffstat (limited to 'TRNS')
-rwxr-xr-xTRNS/run-fgbs24a.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/TRNS/run-fgbs24a.sh b/TRNS/run-fgbs24a.sh
new file mode 100755
index 0000000..ffdadcf
--- /dev/null
+++ b/TRNS/run-fgbs24a.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks TRNS strong-full (dfatool fgbs24a edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ # upstream uses -p 2048, but then the number of DPUs is always constant...
+ timeout --foreground -k 1m 180m bin/host_code -w 0 -e 100 -p $nr_dpus -o 12288 -x 1 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"